Skip to main content

Get directory content

Returns information about the files and directories inside a directory.

Request Body — REQUIRED
uuid string

the directory's uuid, or "favorites", "recents", "links", "trash" for special directories

foldersOnly boolean

whether only directories should be returned (optional; defaults to false)

Responses
200

OK

Schema — OPTIONAL
status boolean — OPTIONAL
message string — OPTIONAL
code string — OPTIONAL
data object — OPTIONAL
uploads object[] — OPTIONAL

the files inside this directory

uuid string — OPTIONAL

the file's UUID

metadata string — OPTIONAL

the file's metadata (metadata-encrypted) following the schema (TypeScript type definition):

{
name: string, // the file name
size: number, // the file size in bytes
mime: string, // the file's MIME type
key: string, // the key used to encrypt the file chunks
lastModified: number, // the file's modification time in milliseconds
creation: number, // the file's creation time in milliseconds
}
rm string — OPTIONAL

(#todo)

timestamp integer — OPTIONAL

(#todo)

chunks integer — OPTIONAL

the number of chunks this file is split into

size integer — OPTIONAL

the file's size in bytes (#todo)

bucket string — OPTIONAL

the storage bucket this file is stored in (needed for downloading it)

region string — OPTIONAL

the storage region this file is stored in (needed for downloading it)

parent string — OPTIONAL

the parent directory's UUID

version integer — OPTIONAL

the file encryption version, currently 1 or 2

favorited integer — OPTIONAL

whether this file is favorited, expressed as 1 or 0

folders object[] — OPTIONAL

the directories inside this directory

uuid string — OPTIONAL
name string — OPTIONAL
parent string — OPTIONAL
color string — OPTIONAL
timestamp integer — OPTIONAL
is_sync integer — OPTIONAL
is_default integer — OPTIONAL